import { Component, OnInit } from '@angular/core';
import { JsonObject } from "@angular/compiler-cli/ngcc/src/packages/entry_point";

import { CapabilityLauncherService } from "../../../../services/capability-launcher.service";

@Component({
  selector: 'app-manual-calibrate-observation',
  templateUrl: './manual-calibrate-observation.component.html',
  styleUrls: [ './manual-calibrate-observation.component.scss' ]
})
export class ManualCalibrateObservationComponent implements OnInit {

  public sdmId: string;

  constructor(public capabilityLauncher: CapabilityLauncherService ) {}

  ngOnInit(): void {
  }

  setSdmId(sdmId: string): void {
    this.sdmId = sdmId;
  }

  launchCalibrationFromSdmIdOnClick(capabilityName: string): void {
    this.launchCapability(capabilityName, {
      "logData" : {
        fileset_id: this.sdmId
      }
    })
  }

  launchCapability(capabilityName: string, parameters: JsonObject): void {
    const createRequestObserver = {
      next: (requestResponse: any) => {},
      error: (error) => {
        console.log(error);
      },
    };

    this.capabilityLauncher.launchCalibrationFromIngestionDetails(
      capabilityName, parameters
    ).subscribe(createRequestObserver)
  }
}

