"""add casa workflow field

Revision ID: 835baaa1ae12
Revises: da40664b3b98
Create Date: 2021-10-07 13:28:29.146818

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "835baaa1ae12"
down_revision = "da40664b3b98"
branch_labels = None
depends_on = None

casa_workflows = [
    "std_calibration",
    "std_cms_imaging",
    "restore_cms",
    "std_restore_imaging",
    "vlass_seci",
]


def upgrade():
    op.execute("ALTER TABLE workflows ADD COLUMN uses_casa bool NOT NULL DEFAULT false")
    for wf_name in casa_workflows:
        op.execute(f"UPDATE workflows SET uses_casa = TRUE WHERE workflow_name = '{wf_name}'")


def downgrade():
    op.execute("ALTER TABLE workflows DROP COLUMN IF EXISTS uses_casa")
