"""
Tests for capability.message_architect
"""
from immutable_views import DictView

from workspaces.capability.message_architect import CapabilityMessageArchitect

request = {"request_id": -1}

execution = {"execution_id": -1}


class TestCapabilityMessageArchitect:
    def test_get_message_template(self):
        execution_msg = CapabilityMessageArchitect(execution=execution).get_message_template("execution_failed")
        assert execution_msg == DictView(
            {
                "service": "capability",
                "routing_key": "capability",
                "subject": None,
                "type": "execution-failed",
            }
        )

        request_msg = CapabilityMessageArchitect(request=request).get_message_template("capability_complete")
        assert request_msg == DictView(
            {
                "service": "capability",
                "routing_key": "capability",
                "subject": None,
                "type": "capability-complete",
            }
        )

    def test_compose_msg(self):
        execution_msg = CapabilityMessageArchitect(execution=execution).compose_message("execution_failed")
        assert execution_msg == DictView(
            {
                "service": "capability",
                "routing_key": "capability",
                "subject": {"execution_id": -1},
                "type": "execution-failed",
            }
        )
