from enum import Enum


class WorkflowRequestState(Enum):
    """
    Enum that specifies the states a WorkflowRequest can find itself in
    """

    Complete = 0
    Created = 1
    Running = 2
    Failed = -1


class ArchiveWorkflows(Enum):
    """
    Enum that specifies the workflows initiated from the AAT
    """

    CARTA = "carta"
    SECI = "vlass_seci"

    @classmethod
    def values(cls):
        return cls._value2member_map_

    @classmethod
    def is_archive_wf(cls, wf_name: str):
        return wf_name in cls.values()
